implicit none
real :: a,b
logical :: l

read *,a,b

l=a.gt.b
write(*,*)a,' + grand que ',b,' : ',l
l=a>b
write(*,*)a,' + grand que ',b,' : ',l
l=a.ge.b
write(*,*)a,' + grand ou egal a  ',b,' : ',l
l=a>=b
write(*,*)a,' + grand ou egal a  ',b,' : ',l
l=a.lt.b
write(*,*)a,' + petit que ',b,' : ',l
l=a<b
write(*,*)a,' + petit que ',b,' : ',l
l=a.le.b
write(*,*)a,' + petit ou egal a  ',b,' : ',l
l=a<=b
write(*,*)a,' + petit ou egal a  ',b,' : ',l
l=a.eq.b
write(*,*)a,' egal a  ',b,' : ',l
l=a==b
write(*,*)a,' egal a  ',b,' : ',l
l=a.ne.b
write(*,*)a,' different de ',b,' : ',l
l=a/=b
write(*,*)a,' different de ',b,' : ',l

end



